---
title: Delete an evaluation (deprecated)
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[AI Gateway](https://developers.cloudflare.com/api/go/resources/ai_gateway)

[Evaluations](https://developers.cloudflare.com/api/go/resources/ai_gateway/subresources/evaluations)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete an evaluation (deprecated)

client.AIGateway.Evaluations.Delete(ctx, gatewayID, id, body) (\*[EvaluationDeleteResponse](<https://developers.cloudflare.com/api/go/resources/ai_gateway#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)>), error)

DELETE/accounts/{account\_id}/ai-gateway/gateways/{gateway\_id}/evaluations/{id}

Deletes an evaluation and its results. Evaluations and datasets are deprecated and unavailable to new accounts.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`AI Gateway Write`

##### ParametersExpand Collapse

gatewayID string

Unique identifier of the AI Gateway within the account.

maxLength64

minLength1

[Link to this property](<#(resource)%20ai_gateway.evaluations%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20gateway_id%20%3E%20(schema)>)

id string

[Link to this property](<#(resource)%20ai_gateway.evaluations%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20id%20%3E%20(schema)>)

<details>

<summary>

body EvaluationDeleteParams

</summary>

AccountID param.Field\[string]

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20ai_gateway.evaluations%20%3E%20(method)%20delete%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type EvaluationDeleteResponse struct{…}

</summary>

ID string

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

CreatedAt Time

formatdate-time

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

<details>

<summary>

Datasets \[]EvaluationDeleteResponseDataset

</summary>

ID string

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20datasets%20%3E%20(items)%20%3E%20(property)%20id">Link to this property</a>

AccountID string

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20datasets%20%3E%20(items)%20%3E%20(property)%20account_id">Link to this property</a>

AccountTag string

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20datasets%20%3E%20(items)%20%3E%20(property)%20account_tag">Link to this property</a>

CreatedAt Time

formatdate-time

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20datasets%20%3E%20(items)%20%3E%20(property)%20created_at">Link to this property</a>

Enable bool

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20datasets%20%3E%20(items)%20%3E%20(property)%20enable">Link to this property</a>

<details>

<summary>

Filters \[]EvaluationDeleteResponseDatasetsFilter

</summary>

<details>

<summary>

Key EvaluationDeleteResponseDatasetsFiltersKey

</summary>

One of the following:

const EvaluationDeleteResponseDatasetsFiltersKeyCreatedAt EvaluationDeleteResponseDatasetsFiltersKey = "created\_at"

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20datasets%20%3E%20(items)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20key%20%3E%20(member)%200">Link to this property</a>

const EvaluationDeleteResponseDatasetsFiltersKeyRequestContentType EvaluationDeleteResponseDatasetsFiltersKey = "request\_content\_type"

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20datasets%20%3E%20(items)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20key%20%3E%20(member)%201">Link to this property</a>

const EvaluationDeleteResponseDatasetsFiltersKeyResponseContentType EvaluationDeleteResponseDatasetsFiltersKey = "response\_content\_type"

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20datasets%20%3E%20(items)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20key%20%3E%20(member)%202">Link to this property</a>

const EvaluationDeleteResponseDatasetsFiltersKeySuccess EvaluationDeleteResponseDatasetsFiltersKey = "success"

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20datasets%20%3E%20(items)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20key%20%3E%20(member)%203">Link to this property</a>

const EvaluationDeleteResponseDatasetsFiltersKeyCached EvaluationDeleteResponseDatasetsFiltersKey = "cached"

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20datasets%20%3E%20(items)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20key%20%3E%20(member)%204">Link to this property</a>

const EvaluationDeleteResponseDatasetsFiltersKeyProvider EvaluationDeleteResponseDatasetsFiltersKey = "provider"

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20datasets%20%3E%20(items)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20key%20%3E%20(member)%205">Link to this property</a>

const EvaluationDeleteResponseDatasetsFiltersKeyModel EvaluationDeleteResponseDatasetsFiltersKey = "model"

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20datasets%20%3E%20(items)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20key%20%3E%20(member)%206">Link to this property</a>

const EvaluationDeleteResponseDatasetsFiltersKeyCost EvaluationDeleteResponseDatasetsFiltersKey = "cost"

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20datasets%20%3E%20(items)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20key%20%3E%20(member)%207">Link to this property</a>

const EvaluationDeleteResponseDatasetsFiltersKeyTokens EvaluationDeleteResponseDatasetsFiltersKey = "tokens"

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20datasets%20%3E%20(items)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20key%20%3E%20(member)%208">Link to this property</a>

const EvaluationDeleteResponseDatasetsFiltersKeyTokensIn EvaluationDeleteResponseDatasetsFiltersKey = "tokens\_in"

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20datasets%20%3E%20(items)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20key%20%3E%20(member)%209">Link to this property</a>

const EvaluationDeleteResponseDatasetsFiltersKeyTokensOut EvaluationDeleteResponseDatasetsFiltersKey = "tokens\_out"

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20datasets%20%3E%20(items)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20key%20%3E%20(member)%2010">Link to this property</a>

const EvaluationDeleteResponseDatasetsFiltersKeyDuration EvaluationDeleteResponseDatasetsFiltersKey = "duration"

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20datasets%20%3E%20(items)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20key%20%3E%20(member)%2011">Link to this property</a>

const EvaluationDeleteResponseDatasetsFiltersKeyFeedback EvaluationDeleteResponseDatasetsFiltersKey = "feedback"

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20datasets%20%3E%20(items)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20key%20%3E%20(member)%2012">Link to this property</a>

</details>

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20datasets%20%3E%20(items)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20key">Link to this property</a>

<details>

<summary>

Operator EvaluationDeleteResponseDatasetsFiltersOperator

</summary>

One of the following:

const EvaluationDeleteResponseDatasetsFiltersOperatorEq EvaluationDeleteResponseDatasetsFiltersOperator = "eq"

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20datasets%20%3E%20(items)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20operator%20%3E%20(member)%200">Link to this property</a>

const EvaluationDeleteResponseDatasetsFiltersOperatorContains EvaluationDeleteResponseDatasetsFiltersOperator = "contains"

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20datasets%20%3E%20(items)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20operator%20%3E%20(member)%201">Link to this property</a>

const EvaluationDeleteResponseDatasetsFiltersOperatorLt EvaluationDeleteResponseDatasetsFiltersOperator = "lt"

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20datasets%20%3E%20(items)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20operator%20%3E%20(member)%202">Link to this property</a>

const EvaluationDeleteResponseDatasetsFiltersOperatorGt EvaluationDeleteResponseDatasetsFiltersOperator = "gt"

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20datasets%20%3E%20(items)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20operator%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20datasets%20%3E%20(items)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20operator">Link to this property</a>

<details>

<summary>

Value \[]EvaluationDeleteResponseDatasetsFiltersValueUnion

</summary>

One of the following:

UnionString

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20datasets%20%3E%20(items)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20value%20%3E%20(items)%20%3E%20(variant)%200">Link to this property</a>

UnionFloat

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20datasets%20%3E%20(items)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20value%20%3E%20(items)%20%3E%20(variant)%201">Link to this property</a>

UnionBool

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20datasets%20%3E%20(items)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20value%20%3E%20(items)%20%3E%20(variant)%202">Link to this property</a>

</details>

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20datasets%20%3E%20(items)%20%3E%20(property)%20filters%20%3E%20(items)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20datasets%20%3E%20(items)%20%3E%20(property)%20filters">Link to this property</a>

GatewayID string

Unique identifier of the AI Gateway within the account.

maxLength64

minLength1

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20datasets%20%3E%20(items)%20%3E%20(property)%20gateway_id">Link to this property</a>

ModifiedAt Time

formatdate-time

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20datasets%20%3E%20(items)%20%3E%20(property)%20modified_at">Link to this property</a>

Name string

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20datasets%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

</details>

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20datasets">Link to this property</a>

GatewayID string

Unique identifier of the AI Gateway within the account.

maxLength64

minLength1

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20gateway_id">Link to this property</a>

ModifiedAt Time

formatdate-time

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20modified_at">Link to this property</a>

Name string

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

Processed bool

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20processed">Link to this property</a>

<details>

<summary>

Results \[]EvaluationDeleteResponseResult

</summary>

ID string

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20results%20%3E%20(items)%20%3E%20(property)%20id">Link to this property</a>

CreatedAt Time

formatdate-time

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20results%20%3E%20(items)%20%3E%20(property)%20created_at">Link to this property</a>

EvaluationID string

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20results%20%3E%20(items)%20%3E%20(property)%20evaluation_id">Link to this property</a>

EvaluationTypeID string

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20results%20%3E%20(items)%20%3E%20(property)%20evaluation_type_id">Link to this property</a>

ModifiedAt Time

formatdate-time

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20results%20%3E%20(items)%20%3E%20(property)%20modified_at">Link to this property</a>

Result string

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20results%20%3E%20(items)%20%3E%20(property)%20result">Link to this property</a>

Status float64

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20results%20%3E%20(items)%20%3E%20(property)%20status">Link to this property</a>

StatusDescription string

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20results%20%3E%20(items)%20%3E%20(property)%20status_description">Link to this property</a>

TotalLogs float64

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20results%20%3E%20(items)%20%3E%20(property)%20total_logs">Link to this property</a>

</details>

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20results">Link to this property</a>

TotalLogs float64

<a href="#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20total_logs">Link to this property</a>

</details>

[Link to this property](<#(resource)%20ai_gateway.evaluations%20%3E%20(model)%20EvaluationDeleteResponse%20%3E%20(schema)>)

### Delete an evaluation (deprecated)

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/ai_gateway"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  evaluation, err := client.AIGateway.Evaluations.Delete(
    context.TODO(),
    "my-gateway",
    "id",
    ai_gateway.EvaluationDeleteParams{
      AccountID: cloudflare.F("3ebbcb006d4d46d7bb6a8c7f14676cb0"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", evaluation.ID)
}
```

200 example

```
{
  "result": {
    "id": "id",
    "created_at": "2019-12-27T18:11:19.117Z",
    "datasets": [
      {
        "id": "id",
        "account_id": "account_id",
        "account_tag": "account_tag",
        "created_at": "2019-12-27T18:11:19.117Z",
        "enable": true,
        "filters": [
          {
            "key": "created_at",
            "operator": "eq",
            "value": [
              "string"
            ]
          }
        ],
        "gateway_id": "my-gateway",
        "modified_at": "2019-12-27T18:11:19.117Z",
        "name": "name"
      }
    ],
    "gateway_id": "my-gateway",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "processed": true,
    "results": [
      {
        "id": "id",
        "created_at": "2019-12-27T18:11:19.117Z",
        "evaluation_id": "evaluation_id",
        "evaluation_type_id": "evaluation_type_id",
        "modified_at": "2019-12-27T18:11:19.117Z",
        "result": "result",
        "status": 0,
        "status_description": "status_description",
        "total_logs": 0
      }
    ],
    "total_logs": 0
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "result": {
    "id": "id",
    "created_at": "2019-12-27T18:11:19.117Z",
    "datasets": [
      {
        "id": "id",
        "account_id": "account_id",
        "account_tag": "account_tag",
        "created_at": "2019-12-27T18:11:19.117Z",
        "enable": true,
        "filters": [
          {
            "key": "created_at",
            "operator": "eq",
            "value": [
              "string"
            ]
          }
        ],
        "gateway_id": "my-gateway",
        "modified_at": "2019-12-27T18:11:19.117Z",
        "name": "name"
      }
    ],
    "gateway_id": "my-gateway",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "processed": true,
    "results": [
      {
        "id": "id",
        "created_at": "2019-12-27T18:11:19.117Z",
        "evaluation_id": "evaluation_id",
        "evaluation_type_id": "evaluation_type_id",
        "modified_at": "2019-12-27T18:11:19.117Z",
        "result": "result",
        "status": 0,
        "status_description": "status_description",
        "total_logs": 0
      }
    ],
    "total_logs": 0
  },
  "success": true
}
```